/*
 *
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.regression.unit;

//import java.rmi.*;


import junit.framework.Test;
import org.jboss.ejb3.test.regression.Account;
import org.jboss.ejb3.test.regression.AccountDAO;
import org.jboss.test.JBossTestCase;

/**
 * Test reentrant remote call.  There was a bug that remoting didn't route locally
 * and the tx propagation was happening when it shouldn't
 *
 * @author <a href="mailto:bill@burkecentral.com">Bill Burke</a>
 * @version $Id: EmeddedIdUnitTestCase.java,v 1.1.4.4 2005/09/14 22:19:13 bill Exp $
 */

public class EmeddedIdUnitTestCase
extends JBossTestCase
{
   org.apache.log4j.Category log = getLog();

   static boolean deployed = false;
   static int test = 0;

   public EmeddedIdUnitTestCase(String name)
   {

      super(name);

   }

   public void testEmbeddedId() throws Exception
   {
      AccountDAO test = (AccountDAO)getInitialContext().lookup(AccountDAO.class.getName());
      long id = test.createAccount();
      Account account = test.findAccount(id);
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(EmeddedIdUnitTestCase.class, "regression-test.ejb3");
   }

}
